Home page logo
/

bugtraq logo Bugtraq mailing list archives

Multiple XSS Vulnerabilities in KnowledgeBank 1.01
From: security () armorize com
Date: 19 Oct 2006 03:21:23 -0000

Armorize Technologies Security Advisory

Advisory No:
Armorize-ADV-2006-0006

Status:
Partial

Date:
2006/10/19

Summary:
Armorize-ADV-2006-0006 discloses multiple cross-site scripting vulnerabilities that are found in KnowledgeBank 
(http://sourceforge.net/projects/knowledgebank/), which is a is a PHP/mySQL web app that allows you to create a 
searchable database application with categories, subcategories, and screenshots.

Affected Software:
KnowledgeBank 1.01

Vulnerability Description:
Cross-Site Scripting

Analysis/Impact:
Privacy leakages from the client-side may lead to session hijacking, identity theft and information theft.

Detection/Exploit(partial):
addknowledge.php
addscreenshot.php

Protection/Solution:
1. Escape every questionable URI and HTML script.
2. Remove prohibited user input.

Credit: Security Team at Armorize Technologies, Inc. (security () armorize com)


Additional Information:
Link to this Armorize advisory
http://www.armorize.com/advisory.php?Keyword=Armorize-ADV-2006-0006

Links to all Armorize advisories
http://www.armorize.com/advisory/

Links to Armorize vulnerability database
http://www.armorize.com/resources/vulnerability.php

Armorize Technologies is delivering the world's most advanced source code analysis solution for Web application 
security based on its award-winning and patent-pending verification technologies. Addressing security early in the 
software development life cycle (SDLC), Armorize CodeSecure proactively identifies and traces vulnerabilities in Web 
application source code, effectively hardening websites against today's ever growing security threats. CodeSecure's 
zero-false-positive accuracy, traceback support and Web 2.0-based interface make it the premium Web application 
security solution. For more information please visit: http://www.armorize.com.


  By Date           By Thread  

Current thread:
  • Multiple XSS Vulnerabilities in KnowledgeBank 1.01 security (Oct 19)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]
AlienVault